Package org.eclipse.emf.cdo.security.impl

## Class SecurityPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.emf.cdo.security.impl.SecurityPackageImpl

- All Implemented Interfaces:
    `SecurityPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

      public class SecurityPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements SecurityPackage

  An implementation of the model Package.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.security.SecurityPackage

      `SecurityPackage.Literals`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.cdo.security.SecurityPackage

      `ACCESS, ACCESS_OBJECT, AND_FILTER, AND_FILTER__OPERANDS, AND_FILTER_FEATURE_COUNT, ASSIGNEE, ASSIGNEE__ANNOTATIONS, ASSIGNEE__ID, ASSIGNEE__ROLES, ASSIGNEE_FEATURE_COUNT, CLASS_FILTER, CLASS_FILTER__APPLICABLE_CLASS, CLASS_FILTER__SUB_TYPES, CLASS_FILTER_FEATURE_COUNT, CLASS_PERMISSION, CLASS_PERMISSION__ACCESS, CLASS_PERMISSION__APPLICABLE_CLASS, CLASS_PERMISSION__ROLE, CLASS_PERMISSION_FEATURE_COUNT, COMBINED_FILTER, COMBINED_FILTER__OPERANDS, COMBINED_FILTER_FEATURE_COUNT, DIRECTORY, DIRECTORY__ANNOTATIONS, DIRECTORY__ITEMS, DIRECTORY__NAME, DIRECTORY_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EXPRESSION_FILTER, EXPRESSION_FILTER__EXPRESSION, EXPRESSION_FILTER_FEATURE_COUNT, FILTER_PERMISSION, FILTER_PERMISSION__ACCESS, FILTER_PERMISSION__FILTERS, FILTER_PERMISSION__ROLE, FILTER_PERMISSION_FEATURE_COUNT, GROUP, GROUP__ALL_INHERITED_GROUPS, GROUP__ALL_INHERITING_GROUPS, GROUP__ALL_ROLES, GROUP__ANNOTATIONS, GROUP__ID, GROUP__INHERITED_GROUPS, GROUP__INHERITING_GROUPS, GROUP__ROLES, GROUP__USERS, GROUP_FEATURE_COUNT, LINKED_FILTER, LINKED_FILTER__FILTER, LINKED_FILTER_FEATURE_COUNT, NOT_FILTER, NOT_FILTER__OPERANDS, NOT_FILTER_FEATURE_COUNT, OBJECT_FILTER, OBJECT_FILTER_FEATURE_COUNT, OBJECT_PERMISSION, OBJECT_PERMISSION__ACCESS, OBJECT_PERMISSION__ROLE, OBJECT_PERMISSION_FEATURE_COUNT, OR_FILTER, OR_FILTER__OPERANDS, OR_FILTER_FEATURE_COUNT, PACKAGE_FILTER, PACKAGE_FILTER__APPLICABLE_PACKAGE, PACKAGE_FILTER_FEATURE_COUNT, PACKAGE_PERMISSION, PACKAGE_PERMISSION__ACCESS, PACKAGE_PERMISSION__APPLICABLE_PACKAGE, PACKAGE_PERMISSION__ROLE, PACKAGE_PERMISSION_FEATURE_COUNT, PATTERN_STYLE, PERMISSION, PERMISSION__ACCESS, PERMISSION__ROLE, PERMISSION_FEATURE_COUNT, PERMISSION_FILTER, PERMISSION_FILTER_FEATURE_COUNT, REALM, REALM__ALL_GROUPS, REALM__ALL_PERMISSIONS, REALM__ALL_ROLES, REALM__ALL_USERS, REALM__ANNOTATIONS, REALM__DEFAULT_ACCESS, REALM__DEFAULT_GROUP_DIRECTORY, REALM__DEFAULT_ROLE_DIRECTORY, REALM__DEFAULT_USER_DIRECTORY, REALM__ITEMS, REALM__NAME, REALM_FEATURE_COUNT, RESOURCE_FILTER, RESOURCE_FILTER__BINARY_RESOURCES, RESOURCE_FILTER__FOLDERS, RESOURCE_FILTER__INCLUDE_PARENTS, RESOURCE_FILTER__INCLUDE_ROOT, RESOURCE_FILTER__MODEL_OBJECTS, RESOURCE_FILTER__MODEL_RESOURCES, RESOURCE_FILTER__PATH, RESOURCE_FILTER__PATTERN_STYLE, RESOURCE_FILTER__TEXT_RESOURCES, RESOURCE_FILTER_FEATURE_COUNT, RESOURCE_PERMISSION, RESOURCE_PERMISSION__ACCESS, RESOURCE_PERMISSION__PATTERN, RESOURCE_PERMISSION__ROLE, RESOURCE_PERMISSION_FEATURE_COUNT, ROLE, ROLE__ANNOTATIONS, ROLE__ASSIGNEES, ROLE__ID, ROLE__PERMISSIONS, ROLE_FEATURE_COUNT, SECURITY_ELEMENT, SECURITY_ELEMENT__ANNOTATIONS, SECURITY_ELEMENT_FEATURE_COUNT, SECURITY_ITEM, SECURITY_ITEM__ANNOTATIONS, SECURITY_ITEM_FEATURE_COUNT, USER, USER__ALL_GROUPS, USER__ALL_PERMISSIONS, USER__ALL_ROLES, USER__ANNOTATIONS, USER__DEFAULT_ACCESS, USER__DEFAULT_ACCESS_OVERRIDE, USER__EMAIL, USER__FIRST_NAME, USER__GROUPS, USER__ID, USER__LABEL, USER__LAST_NAME, USER__LOCKED, USER__PASSWORD, USER__ROLES, USER__UNASSIGNED_ROLES, USER_FEATURE_COUNT, USER_PASSWORD, USER_PASSWORD__ENCRYPTED, USER_PASSWORD_FEATURE_COUNT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createEcoreAnnotations()` | Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
    `protected void` | `createExtendedMetaDataAnnotations()` | Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
    `void` | `createPackageContents()` | Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EEnum` | `getAccess()`
    `org.eclipse.emf.ecore.EDataType` | `getAccessObject()`
    `org.eclipse.emf.ecore.EClass` | `getAndFilter()`
    `org.eclipse.emf.ecore.EClass` | `getAssignee()`
    `org.eclipse.emf.ecore.EAttribute` | `getAssignee_Id()`
    `org.eclipse.emf.ecore.EReference` | `getAssignee_Roles()`
    `org.eclipse.emf.ecore.EClass` | `getClassFilter()`
    `org.eclipse.emf.ecore.EReference` | `getClassFilter_ApplicableClass()`
    `org.eclipse.emf.ecore.EAttribute` | `getClassFilter_SubTypes()`
    `org.eclipse.emf.ecore.EClass` | `getClassPermission()`
    `org.eclipse.emf.ecore.EReference` | `getClassPermission_ApplicableClass()`
    `org.eclipse.emf.ecore.EClass` | `getCombinedFilter()`
    `org.eclipse.emf.ecore.EReference` | `getCombinedFilter_Operands()`
    `org.eclipse.emf.ecore.EClass` | `getDirectory()`
    `org.eclipse.emf.ecore.EReference` | `getDirectory_Items()`
    `org.eclipse.emf.ecore.EAttribute` | `getDirectory_Name()`
    `org.eclipse.emf.ecore.EClass` | `getExpressionFilter()`
    `org.eclipse.emf.ecore.EReference` | `getExpressionFilter_Expression()`
    `org.eclipse.emf.ecore.EClass` | `getFilterPermission()`
    `org.eclipse.emf.ecore.EReference` | `getFilterPermission_Filters()`
    `org.eclipse.emf.ecore.EClass` | `getGroup()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_AllInheritedGroups()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_AllInheritingGroups()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_AllRoles()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_InheritedGroups()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_InheritingGroups()`
    `org.eclipse.emf.ecore.EReference` | `getGroup_Users()`
    `org.eclipse.emf.ecore.EClass` | `getLinkedFilter()`
    `org.eclipse.emf.ecore.EReference` | `getLinkedFilter_Filter()`
    `org.eclipse.emf.ecore.EClass` | `getNotFilter()`
    `org.eclipse.emf.ecore.EClass` | `getObjectFilter()`
    `org.eclipse.emf.ecore.EClass` | `getObjectPermission()`
    `org.eclipse.emf.ecore.EClass` | `getOrFilter()`
    `org.eclipse.emf.ecore.EClass` | `getPackageFilter()`
    `org.eclipse.emf.ecore.EReference` | `getPackageFilter_ApplicablePackage()`
    `org.eclipse.emf.ecore.EClass` | `getPackagePermission()`
    `org.eclipse.emf.ecore.EReference` | `getPackagePermission_ApplicablePackage()`
    `org.eclipse.emf.ecore.EEnum` | `getPatternStyle()`
    `org.eclipse.emf.ecore.EClass` | `getPermission()`
    `org.eclipse.emf.ecore.EAttribute` | `getPermission_Access()`
    `org.eclipse.emf.ecore.EReference` | `getPermission_Role()`
    `org.eclipse.emf.ecore.EClass` | `getPermissionFilter()`
    `org.eclipse.emf.ecore.EClass` | `getRealm()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_AllGroups()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_AllPermissions()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_AllRoles()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_AllUsers()`
    `org.eclipse.emf.ecore.EAttribute` | `getRealm_DefaultAccess()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_DefaultGroupDirectory()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_DefaultRoleDirectory()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_DefaultUserDirectory()`
    `org.eclipse.emf.ecore.EReference` | `getRealm_Items()`
    `org.eclipse.emf.ecore.EAttribute` | `getRealm_Name()`
    `org.eclipse.emf.ecore.EClass` | `getResourceFilter()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_BinaryResources()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_Folders()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_IncludeParents()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_IncludeRoot()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_ModelObjects()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_ModelResources()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_Path()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_PatternStyle()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourceFilter_TextResources()`
    `org.eclipse.emf.ecore.EClass` | `getResourcePermission()`
    `org.eclipse.emf.ecore.EAttribute` | `getResourcePermission_Pattern()`
    `org.eclipse.emf.ecore.EClass` | `getRole()`
    `org.eclipse.emf.ecore.EReference` | `getRole_Assignees()`
    `org.eclipse.emf.ecore.EAttribute` | `getRole_Id()`
    `org.eclipse.emf.ecore.EReference` | `getRole_Permissions()`
    `org.eclipse.emf.ecore.EClass` | `getSecurityElement()`
    `SecurityFactory` | `getSecurityFactory()`
    `org.eclipse.emf.ecore.EClass` | `getSecurityItem()`
    `org.eclipse.emf.ecore.EClass` | `getUser()`
    `org.eclipse.emf.ecore.EReference` | `getUser_AllGroups()`
    `org.eclipse.emf.ecore.EReference` | `getUser_AllPermissions()`
    `org.eclipse.emf.ecore.EReference` | `getUser_AllRoles()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_DefaultAccess()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_DefaultAccessOverride()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_Email()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_FirstName()`
    `org.eclipse.emf.ecore.EReference` | `getUser_Groups()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_LastName()`
    `org.eclipse.emf.ecore.EAttribute` | `getUser_Locked()`
    `org.eclipse.emf.ecore.EReference` | `getUser_Password()`
    `org.eclipse.emf.ecore.EReference` | `getUser_UnassignedRoles()`
    `org.eclipse.emf.ecore.EClass` | `getUserPassword()`
    `org.eclipse.emf.ecore.EAttribute` | `getUserPassword_Encrypted()`
    `static SecurityPackage` | `init()` | Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` | Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### init

          public static SecurityPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `SecurityPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `SecurityPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`
      Generated

    - #### getSecurityElement

          public org.eclipse.emf.ecore.EClass getSecurityElement()

      Specified by:
        `getSecurityElement` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Element'.
      See Also:
        `SecurityElement`
      Generated

    - #### getRealm

          public org.eclipse.emf.ecore.EClass getRealm()

      Specified by:
        `getRealm` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Realm'.
      See Also:
        `Realm`
      Generated

    - #### getRealm_Items

          public org.eclipse.emf.ecore.EReference getRealm_Items()

      Specified by:
        `getRealm_Items` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference list 'Items'.
      See Also:
        `Realm.getItems()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_AllUsers

          public org.eclipse.emf.ecore.EReference getRealm_AllUsers()

      Specified by:
        `getRealm_AllUsers` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Users'.
      See Also:
        `Realm.getAllUsers()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_AllGroups

          public org.eclipse.emf.ecore.EReference getRealm_AllGroups()

      Specified by:
        `getRealm_AllGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Groups'.
      See Also:
        `Realm.getAllGroups()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_AllRoles

          public org.eclipse.emf.ecore.EReference getRealm_AllRoles()

      Specified by:
        `getRealm_AllRoles` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Roles'.
      See Also:
        `Realm.getAllRoles()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_AllPermissions

          public org.eclipse.emf.ecore.EReference getRealm_AllPermissions()

      Specified by:
        `getRealm_AllPermissions` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Permissions'.
      See Also:
        `Realm.getAllPermissions()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_Name

          public org.eclipse.emf.ecore.EAttribute getRealm_Name()

      Specified by:
        `getRealm_Name` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Realm.getName()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_DefaultAccess

          public org.eclipse.emf.ecore.EAttribute getRealm_DefaultAccess()

      Specified by:
        `getRealm_DefaultAccess` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Default Access'.
      See Also:
        `Realm.getDefaultAccess()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_DefaultUserDirectory

          public org.eclipse.emf.ecore.EReference getRealm_DefaultUserDirectory()

      Specified by:
        `getRealm_DefaultUserDirectory` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Default User Directory'.
      Since:
        4.2
      See Also:
        `Realm.getDefaultUserDirectory()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_DefaultGroupDirectory

          public org.eclipse.emf.ecore.EReference getRealm_DefaultGroupDirectory()

      Specified by:
        `getRealm_DefaultGroupDirectory` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Default Group Directory'.
      Since:
        4.2
      See Also:
        `Realm.getDefaultGroupDirectory()`, `SecurityPackage.getRealm()`
      Generated

    - #### getRealm_DefaultRoleDirectory

          public org.eclipse.emf.ecore.EReference getRealm_DefaultRoleDirectory()

      Specified by:
        `getRealm_DefaultRoleDirectory` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Default Role Directory'.
      Since:
        4.2
      See Also:
        `Realm.getDefaultRoleDirectory()`, `SecurityPackage.getRealm()`
      Generated

    - #### getDirectory

          public org.eclipse.emf.ecore.EClass getDirectory()

      Specified by:
        `getDirectory` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Directory'.
      See Also:
        `Directory`
      Generated

    - #### getDirectory_Items

          public org.eclipse.emf.ecore.EReference getDirectory_Items()

      Specified by:
        `getDirectory_Items` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference list 'Items'.
      See Also:
        `Directory.getItems()`, `SecurityPackage.getDirectory()`
      Generated

    - #### getDirectory_Name

          public org.eclipse.emf.ecore.EAttribute getDirectory_Name()

      Specified by:
        `getDirectory_Name` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Directory.getName()`, `SecurityPackage.getDirectory()`
      Generated

    - #### getSecurityItem

          public org.eclipse.emf.ecore.EClass getSecurityItem()

      Specified by:
        `getSecurityItem` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Item'.
      See Also:
        `SecurityItem`
      Generated

    - #### getRole

          public org.eclipse.emf.ecore.EClass getRole()

      Specified by:
        `getRole` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Role'.
      See Also:
        `Role`
      Generated

    - #### getRole_Assignees

          public org.eclipse.emf.ecore.EReference getRole_Assignees()

      Specified by:
        `getRole_Assignees` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Assignees'.
      See Also:
        `Role.getAssignees()`, `SecurityPackage.getRole()`
      Generated

    - #### getRole_Id

          public org.eclipse.emf.ecore.EAttribute getRole_Id()

      Specified by:
        `getRole_Id` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Role.getId()`, `SecurityPackage.getRole()`
      Generated

    - #### getRole_Permissions

          public org.eclipse.emf.ecore.EReference getRole_Permissions()

      Specified by:
        `getRole_Permissions` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference list 'Permissions'.
      See Also:
        `Role.getPermissions()`, `SecurityPackage.getRole()`
      Generated

    - #### getAssignee

          public org.eclipse.emf.ecore.EClass getAssignee()

      Specified by:
        `getAssignee` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Assignee'.
      See Also:
        `Assignee`
      Generated

    - #### getAssignee_Roles

          public org.eclipse.emf.ecore.EReference getAssignee_Roles()

      Specified by:
        `getAssignee_Roles` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Roles'.
      See Also:
        `Assignee.getRoles()`, `SecurityPackage.getAssignee()`
      Generated

    - #### getAssignee_Id

          public org.eclipse.emf.ecore.EAttribute getAssignee_Id()

      Specified by:
        `getAssignee_Id` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `Assignee.getId()`, `SecurityPackage.getAssignee()`
      Generated

    - #### getGroup

          public org.eclipse.emf.ecore.EClass getGroup()

      Specified by:
        `getGroup` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Group'.
      See Also:
        `Group`
      Generated

    - #### getGroup_Users

          public org.eclipse.emf.ecore.EReference getGroup_Users()

      Specified by:
        `getGroup_Users` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Users'.
      See Also:
        `Group.getUsers()`, `SecurityPackage.getGroup()`
      Generated

    - #### getGroup_InheritedGroups

          public org.eclipse.emf.ecore.EReference getGroup_InheritedGroups()

      Specified by:
        `getGroup_InheritedGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Inherited Groups'.
      See Also:
        `Group.getInheritedGroups()`, `SecurityPackage.getGroup()`
      Generated

    - #### getGroup_InheritingGroups

          public org.eclipse.emf.ecore.EReference getGroup_InheritingGroups()

      Specified by:
        `getGroup_InheritingGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Inheriting Groups'.
      See Also:
        `Group.getInheritingGroups()`, `SecurityPackage.getGroup()`
      Generated

    - #### getGroup_AllInheritingGroups

          public org.eclipse.emf.ecore.EReference getGroup_AllInheritingGroups()

      Specified by:
        `getGroup_AllInheritingGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Inheriting Groups'.
      See Also:
        `Group.getAllInheritingGroups()`, `SecurityPackage.getGroup()`
      Generated

    - #### getGroup_AllInheritedGroups

          public org.eclipse.emf.ecore.EReference getGroup_AllInheritedGroups()

      Specified by:
        `getGroup_AllInheritedGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Inherited Groups'.
      See Also:
        `Group.getAllInheritedGroups()`, `SecurityPackage.getGroup()`
      Generated

    - #### getGroup_AllRoles

          public org.eclipse.emf.ecore.EReference getGroup_AllRoles()

      Specified by:
        `getGroup_AllRoles` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Roles'.
      See Also:
        `Group.getAllRoles()`, `SecurityPackage.getGroup()`
      Generated

    - #### getUser

          public org.eclipse.emf.ecore.EClass getUser()

      Specified by:
        `getUser` in interface `SecurityPackage`
      Returns:
        the meta object for class 'User'.
      See Also:
        `User`
      Generated

    - #### getUser_Groups

          public org.eclipse.emf.ecore.EReference getUser_Groups()

      Specified by:
        `getUser_Groups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Groups'.
      See Also:
        `User.getGroups()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_AllGroups

          public org.eclipse.emf.ecore.EReference getUser_AllGroups()

      Specified by:
        `getUser_AllGroups` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Groups'.
      See Also:
        `User.getAllGroups()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_AllRoles

          public org.eclipse.emf.ecore.EReference getUser_AllRoles()

      Specified by:
        `getUser_AllRoles` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Roles'.
      See Also:
        `User.getAllRoles()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_AllPermissions

          public org.eclipse.emf.ecore.EReference getUser_AllPermissions()

      Specified by:
        `getUser_AllPermissions` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'All Permissions'.
      See Also:
        `User.getAllPermissions()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_UnassignedRoles

          public org.eclipse.emf.ecore.EReference getUser_UnassignedRoles()

      Specified by:
        `getUser_UnassignedRoles` in interface `SecurityPackage`
      Returns:
        the meta object for the reference list 'Unassigned Roles'.
      See Also:
        `User.getUnassignedRoles()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_Label

          public org.eclipse.emf.ecore.EAttribute getUser_Label()

      Specified by:
        `getUser_Label` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `User.getLabel()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_FirstName

          public org.eclipse.emf.ecore.EAttribute getUser_FirstName()

      Specified by:
        `getUser_FirstName` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'First Name'.
      See Also:
        `User.getFirstName()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_LastName

          public org.eclipse.emf.ecore.EAttribute getUser_LastName()

      Specified by:
        `getUser_LastName` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Last Name'.
      See Also:
        `User.getLastName()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_Email

          public org.eclipse.emf.ecore.EAttribute getUser_Email()

      Specified by:
        `getUser_Email` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Email'.
      See Also:
        `User.getEmail()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_DefaultAccessOverride

          public org.eclipse.emf.ecore.EAttribute getUser_DefaultAccessOverride()

      Specified by:
        `getUser_DefaultAccessOverride` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Default Access Override'.
      See Also:
        `User.getDefaultAccessOverride()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_DefaultAccess

          public org.eclipse.emf.ecore.EAttribute getUser_DefaultAccess()

      Specified by:
        `getUser_DefaultAccess` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Default Access'.
      See Also:
        `User.getDefaultAccess()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_Locked

          public org.eclipse.emf.ecore.EAttribute getUser_Locked()

      Specified by:
        `getUser_Locked` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Locked'.
      See Also:
        `User.isLocked()`, `SecurityPackage.getUser()`
      Generated

    - #### getUser_Password

          public org.eclipse.emf.ecore.EReference getUser_Password()

      Specified by:
        `getUser_Password` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference 'Password'.
      See Also:
        `User.getPassword()`, `SecurityPackage.getUser()`
      Generated

    - #### getUserPassword

          public org.eclipse.emf.ecore.EClass getUserPassword()

      Specified by:
        `getUserPassword` in interface `SecurityPackage`
      Returns:
        the meta object for class 'User Password'.
      See Also:
        `UserPassword`
      Generated

    - #### getUserPassword_Encrypted

          public org.eclipse.emf.ecore.EAttribute getUserPassword_Encrypted()

      Specified by:
        `getUserPassword_Encrypted` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Encrypted'.
      See Also:
        `UserPassword.getEncrypted()`, `SecurityPackage.getUserPassword()`
      Generated

    - #### getPermission

          public org.eclipse.emf.ecore.EClass getPermission()

      Specified by:
        `getPermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Permission'.
      See Also:
        `Permission`
      Generated

    - #### getPermission_Role

          public org.eclipse.emf.ecore.EReference getPermission_Role()

      Specified by:
        `getPermission_Role` in interface `SecurityPackage`
      Returns:
        the meta object for the container reference 'Role'.
      See Also:
        `Permission.getRole()`, `SecurityPackage.getPermission()`
      Generated

    - #### getPermission_Access

          public org.eclipse.emf.ecore.EAttribute getPermission_Access()

      Specified by:
        `getPermission_Access` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Access'.
      See Also:
        `Permission.getAccess()`, `SecurityPackage.getPermission()`
      Generated

    - #### getClassPermission

          public org.eclipse.emf.ecore.EClass getClassPermission()

      Specified by:
        `getClassPermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Class Permission'.
      See Also:
        `ClassPermission`
      Generated

    - #### getClassPermission_ApplicableClass

          public org.eclipse.emf.ecore.EReference getClassPermission_ApplicableClass()

      Specified by:
        `getClassPermission_ApplicableClass` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Applicable Class'.
      See Also:
        `ClassPermission.getApplicableClass()`, `SecurityPackage.getClassPermission()`
      Generated

    - #### getPackagePermission

          public org.eclipse.emf.ecore.EClass getPackagePermission()

      Specified by:
        `getPackagePermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Package Permission'.
      See Also:
        `PackagePermission`
      Generated

    - #### getPackagePermission_ApplicablePackage

          public org.eclipse.emf.ecore.EReference getPackagePermission_ApplicablePackage()

      Specified by:
        `getPackagePermission_ApplicablePackage` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Applicable Package'.
      See Also:
        `PackagePermission.getApplicablePackage()`, `SecurityPackage.getPackagePermission()`
      Generated

    - #### getResourcePermission

          public org.eclipse.emf.ecore.EClass getResourcePermission()

      Specified by:
        `getResourcePermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Resource Permission'.
      See Also:
        `ResourcePermission`
      Generated

    - #### getResourcePermission_Pattern

          public org.eclipse.emf.ecore.EAttribute getResourcePermission_Pattern()

      Specified by:
        `getResourcePermission_Pattern` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Pattern'.
      See Also:
        `ResourcePermission.getPattern()`, `SecurityPackage.getResourcePermission()`
      Generated

    - #### getObjectPermission

          public org.eclipse.emf.ecore.EClass getObjectPermission()

      Specified by:
        `getObjectPermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Object Permission'.
      Since:
        4.2
      See Also:
        `ObjectPermission`
      Generated

    - #### getFilterPermission

          public org.eclipse.emf.ecore.EClass getFilterPermission()

      Specified by:
        `getFilterPermission` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Filter Permission'.
      Since:
        4.3
      See Also:
        `FilterPermission`
      Generated

    - #### getFilterPermission_Filters

          public org.eclipse.emf.ecore.EReference getFilterPermission_Filters()

      Specified by:
        `getFilterPermission_Filters` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference list 'Filters'.
      Since:
        4.3
      See Also:
        `FilterPermission.getFilters()`, `SecurityPackage.getFilterPermission()`
      Generated

    - #### getPermissionFilter

          public org.eclipse.emf.ecore.EClass getPermissionFilter()

      Specified by:
        `getPermissionFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Permission Filter'.
      Since:
        4.3
      See Also:
        `PermissionFilter`
      Generated

    - #### getLinkedFilter

          public org.eclipse.emf.ecore.EClass getLinkedFilter()

      Specified by:
        `getLinkedFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Linked Filter'.
      Since:
        4.3
      See Also:
        `LinkedFilter`
      Generated

    - #### getLinkedFilter_Filter

          public org.eclipse.emf.ecore.EReference getLinkedFilter_Filter()

      Specified by:
        `getLinkedFilter_Filter` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Filter'.
      Since:
        4.3
      See Also:
        `LinkedFilter.getFilter()`, `SecurityPackage.getLinkedFilter()`
      Generated

    - #### getPackageFilter

          public org.eclipse.emf.ecore.EClass getPackageFilter()

      Specified by:
        `getPackageFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Package Filter'.
      Since:
        4.3
      See Also:
        `PackageFilter`
      Generated

    - #### getPackageFilter_ApplicablePackage

          public org.eclipse.emf.ecore.EReference getPackageFilter_ApplicablePackage()

      Specified by:
        `getPackageFilter_ApplicablePackage` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Applicable Package'.
      Since:
        4.3
      See Also:
        `PackageFilter.getApplicablePackage()`, `SecurityPackage.getPackageFilter()`
      Generated

    - #### getClassFilter

          public org.eclipse.emf.ecore.EClass getClassFilter()

      Specified by:
        `getClassFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Class Filter'.
      Since:
        4.3
      See Also:
        `ClassFilter`
      Generated

    - #### getClassFilter_ApplicableClass

          public org.eclipse.emf.ecore.EReference getClassFilter_ApplicableClass()

      Specified by:
        `getClassFilter_ApplicableClass` in interface `SecurityPackage`
      Returns:
        the meta object for the reference 'Applicable Class'.
      Since:
        4.3
      See Also:
        `ClassFilter.getApplicableClass()`, `SecurityPackage.getClassFilter()`
      Generated

    - #### getClassFilter_SubTypes

          public org.eclipse.emf.ecore.EAttribute getClassFilter_SubTypes()

      Specified by:
        `getClassFilter_SubTypes` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Sub Types'.
      Since:
        4.3
      See Also:
        `ClassFilter.isSubTypes()`, `SecurityPackage.getClassFilter()`
      Generated

    - #### getResourceFilter

          public org.eclipse.emf.ecore.EClass getResourceFilter()

      Specified by:
        `getResourceFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Resource Filter'.
      Since:
        4.3
      See Also:
        `ResourceFilter`
      Generated

    - #### getResourceFilter_Path

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_Path()

      Specified by:
        `getResourceFilter_Path` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Path'.
      Since:
        4.3
      See Also:
        `ResourceFilter.getPath()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_PatternStyle

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_PatternStyle()

      Specified by:
        `getResourceFilter_PatternStyle` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Pattern Style'.
      Since:
        4.3
      See Also:
        `ResourceFilter.getPatternStyle()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_Folders

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_Folders()

      Specified by:
        `getResourceFilter_Folders` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Folders'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isFolders()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_ModelResources

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_ModelResources()

      Specified by:
        `getResourceFilter_ModelResources` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Model Resources'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isModelResources()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_ModelObjects

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_ModelObjects()

      Specified by:
        `getResourceFilter_ModelObjects` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Model Objects'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isModelObjects()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_IncludeParents

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_IncludeParents()

      Specified by:
        `getResourceFilter_IncludeParents` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Include Parents'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isIncludeParents()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_IncludeRoot

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_IncludeRoot()

      Specified by:
        `getResourceFilter_IncludeRoot` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Include Root'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isIncludeRoot()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_TextResources

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_TextResources()

      Specified by:
        `getResourceFilter_TextResources` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Text Resources'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isTextResources()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getResourceFilter_BinaryResources

          public org.eclipse.emf.ecore.EAttribute getResourceFilter_BinaryResources()

      Specified by:
        `getResourceFilter_BinaryResources` in interface `SecurityPackage`
      Returns:
        the meta object for the attribute 'Binary Resources'.
      Since:
        4.3
      See Also:
        `ResourceFilter.isBinaryResources()`, `SecurityPackage.getResourceFilter()`
      Generated

    - #### getObjectFilter

          public org.eclipse.emf.ecore.EClass getObjectFilter()

      Specified by:
        `getObjectFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Object Filter'.
      Since:
        4.3
      See Also:
        `ObjectFilter`
      Generated

    - #### getExpressionFilter

          public org.eclipse.emf.ecore.EClass getExpressionFilter()

      Specified by:
        `getExpressionFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Expression Filter'.
      Since:
        4.3
      See Also:
        `ExpressionFilter`
      Generated

    - #### getExpressionFilter_Expression

          public org.eclipse.emf.ecore.EReference getExpressionFilter_Expression()

      Specified by:
        `getExpressionFilter_Expression` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference 'Expression'.
      Since:
        4.3
      See Also:
        `ExpressionFilter.getExpression()`, `SecurityPackage.getExpressionFilter()`
      Generated

    - #### getCombinedFilter

          public org.eclipse.emf.ecore.EClass getCombinedFilter()

      Specified by:
        `getCombinedFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Combined Filter'.
      Since:
        4.3
      See Also:
        `CombinedFilter`
      Generated

    - #### getCombinedFilter_Operands

          public org.eclipse.emf.ecore.EReference getCombinedFilter_Operands()

      Specified by:
        `getCombinedFilter_Operands` in interface `SecurityPackage`
      Returns:
        the meta object for the containment reference list 'Operands'.
      Since:
        4.3
      See Also:
        `CombinedFilter.getOperands()`, `SecurityPackage.getCombinedFilter()`
      Generated

    - #### getNotFilter

          public org.eclipse.emf.ecore.EClass getNotFilter()

      Specified by:
        `getNotFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Not Filter'.
      Since:
        4.3
      See Also:
        `NotFilter`
      Generated

    - #### getAndFilter

          public org.eclipse.emf.ecore.EClass getAndFilter()

      Specified by:
        `getAndFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'And Filter'.
      Since:
        4.3
      See Also:
        `AndFilter`
      Generated

    - #### getOrFilter

          public org.eclipse.emf.ecore.EClass getOrFilter()

      Specified by:
        `getOrFilter` in interface `SecurityPackage`
      Returns:
        the meta object for class 'Or Filter'.
      Since:
        4.3
      See Also:
        `OrFilter`
      Generated

    - #### getPatternStyle

          public org.eclipse.emf.ecore.EEnum getPatternStyle()

      Specified by:
        `getPatternStyle` in interface `SecurityPackage`
      Returns:
        the meta object for enum 'Pattern Style'.
      Since:
        4.3
      See Also:
        `PatternStyle`
      Generated

    - #### getAccess

          public org.eclipse.emf.ecore.EEnum getAccess()

      Specified by:
        `getAccess` in interface `SecurityPackage`
      Returns:
        the meta object for enum 'Access'.
      See Also:
        `Access`
      Generated

    - #### getAccessObject

          public org.eclipse.emf.ecore.EDataType getAccessObject()

      Specified by:
        `getAccessObject` in interface `SecurityPackage`
      Returns:
        the meta object for data type 'Access Object'.
      See Also:
        `Access`
      Generated

    - #### getSecurityFactory

          public SecurityFactory getSecurityFactory()

      Specified by:
        `getSecurityFactory` in interface `SecurityPackage`
      Returns:
        the factory that creates the instances of the model.
      Generated

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.
      Generated

    - #### createEcoreAnnotations

          protected void createEcoreAnnotations()

      Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.
      Since:
        4.3
      Generated

    - #### createExtendedMetaDataAnnotations

          protected void createExtendedMetaDataAnnotations()

      Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.
      Generated